package a.i.b.a.c.g;

import a.i.b.a.c.g.z.b;
import com.tencent.matrix.trace.core.AppMethodBeat;

public enum z$a {
    DOUBLE(b.BBp, 1),
    FLOAT(b.BBo, 5),
    INT64(b.BBn, 0),
    UINT64(b.BBn, 0),
    INT32(b.BBm, 0),
    FIXED64(b.BBn, 1),
    FIXED32(b.BBm, 5),
    BOOL(b.BBq, 0),
    GROUP {
        public final boolean eiN() {
            return false;
        }
    },
    UINT32(b.BBm, 0),
    ENUM(b.BBt, 0),
    SFIXED32(b.BBm, 5),
    SFIXED64(b.BBn, 1),
    SINT32(b.BBm, 0),
    SINT64(b.BBn, 0);
    
    final b BBj;
    final int BBk;

    static {
        AppMethodBeat.o(121691);
    }

    private z$a(b bVar, int i) {
        this.BBj = bVar;
        this.BBk = i;
    }

    public boolean eiN() {
        return true;
    }
}
